## qt4-maemo5-declarative 4.6.0~git20091215-2maemo1

=== Makefile ===
# Dummy Makefile to make Debian packaging easier

COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_DIR   = $(COPY_DIR)

sub-src:
	cd src/declarative && $(MAKE)

install:
	cd src/declarative && $(MAKE) install
	-$(INSTALL_DIR) include/ $(INSTALL_ROOT)/opt/qt4-maemo5
	-rm -rf $(INSTALL_ROOT)/opt/qt4-maemo5/include/QtDeclarative/private

distclean:
	cd src/declarative && $(MAKE) distclean

## qt4-maemo5-declarative 4.6.0~git20091215-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.0~git20091215-0maemo1) unstable; urgency=low

  * Initial Qt Declarative package

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 15 Dec 2009 11:29:01 +0200

=== debian/control ===
Source: qt4-maemo5-declarative
Section: libs
Priority: optional
Maintainer: Qt Development Frameworks <qt-info@nokia.com>
Uploaders: Harald Fernengel <harald.fernengel@nokia.com>
Build-Depends: cdbs, debhelper (>= 5), sharutils,
 libdbus-1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev, libjpeg62-dev,
 libpng12-dev, libreadline5-dev | libreadline4-dev, libsm-dev, libtiff4-dev, libx11-dev,
 libxcursor-dev, libxext-dev, libxft-dev, libxi-dev, libxmu-dev,
 libxrandr-dev, libxrender-dev, libxt-dev, x11proto-core-dev,
 zlib1g-dev, libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev, 
 libgles2-dev [arm armel !i386] | libgles2-sgx-img-dev [arm armel !i386], opengles-sgx-img-common-dev [arm armel !i386],
 libgl-dev [i386 !arm !armel], libgl1 [i386 !arm !armel],
 libxau-dev, libxcb1-dev, libxdmcp-dev, libexpat1-dev,  opengles-sgx-img-common [arm armel !i386],
 libsqlite3-dev, libsqlite3-0, libssl-dev, icd2-osso-ic-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libasound2-dev, mce-dev, libpulse-dev,
 libqt4-maemo5-dev
Standards-Version: 3.7.3

Package: libqt4-maemo5-declarative
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-maemo5-core (= ${binary:Version}), libqt4-maemo5-gui (= ${binary:Version}), libqt4-maemo5-svg (= ${binary:Version}), libqt4-maemo5-opengl (= ${binary:Version}), libqt4-maemo5-webkit (= ${binary:Version}), libqt4-maemo5-script (= ${binary:Version}), libqt4-maemo5-network (= ${binary:Version}), libqt4-maemo5-xmlpatterns (= ${binary:Version}), libqt4-maemo5-dbus (= ${binary:Version}), libqt4-maemo5-sql (= ${binary:Version}), libqt4-maemo5-sql-sqlite (= ${binary:Version}) 
Description: Qt 4 declarative module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDeclarative module contains declarative UI functionality.

Package: libqt4-maemo5-declarative-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-maemo5-declarative (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 Declarative libraries.

Package: libqt4-maemo5-declarative-dev
Architecture: any
Section: libdevel
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-maemo5-declarative (= ${binary:Version}), libqt4-maemo5-dev (= ${binary:Version})
Description: Qt 4 Declarative development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building declarative applications.
 
Package: qt4-maemo5-declarative-qmlviewer
Architecture: any
Section: devel
Depends: libqt4-maemo5-declarative (=${binary:Version})
Description: Qt 4 declarative module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDeclarative viewer allows viewing QML files

## qt4-maemo5-declarative 4.6.0~git20091215-2maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.0~git20091215-2maemo1) unstable; urgency=low

  * Update Qt dependencies

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 18 Dec 2009 11:29:01 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: libqt4-maemo5-declarative
 Architecture: any
 Section: libs
-Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-maemo5-core (= ${binary:Version}), libqt4-maemo5-gui (= ${binary:Version}), libqt4-maemo5-svg (= ${binary:Version}), libqt4-maemo5-opengl (= ${binary:Version}), libqt4-maemo5-webkit (= ${binary:Version}), libqt4-maemo5-script (= ${binary:Version}), libqt4-maemo5-network (= ${binary:Version}), libqt4-maemo5-xmlpatterns (= ${binary:Version}), libqt4-maemo5-dbus (= ${binary:Version}), libqt4-maemo5-sql (= ${binary:Version}), libqt4-maemo5-sql-sqlite (= ${binary:Version}) 
+Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-maemo5-core (>= ${binary:Version}), libqt4-maemo5-gui (>= ${binary:Version}), libqt4-maemo5-svg (>= ${binary:Version}), libqt4-maemo5-opengl (>= ${binary:Version}), libqt4-maemo5-webkit (>= ${binary:Version}), libqt4-maemo5-script (>= ${binary:Version}), libqt4-maemo5-network (>= ${binary:Version}), libqt4-maemo5-xmlpatterns (>= ${binary:Version}), libqt4-maemo5-dbus (>= ${binary:Version}), libqt4-maemo5-sql (>= ${binary:Version}), libqt4-maemo5-sql-sqlite (>= ${binary:Version}) 
 Description: Qt 4 declarative module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -40,7 +40,7 @@
 Package: libqt4-maemo5-declarative-dev
 Architecture: any
 Section: libdevel
-Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-maemo5-declarative (= ${binary:Version}), libqt4-maemo5-dev (= ${binary:Version})
+Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-maemo5-declarative (= ${binary:Version}), libqt4-maemo5-dev (>= ${binary:Version})
 Description: Qt 4 Declarative development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Only present in official source package
#QTVERSION := $(shell ls changes-* | cut -f2 -d '-')
CURRENTVERSION := $(shell head -1 debian/changelog  | sed 's/[^(]*(\([^)]*\)).*/\1/')

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/utils.mk

# Find out how many parallel threads to run 
comma := ,
TMP_BUILD_OPTS = $(subst $(comma), ,$(DEB_BUILD_OPTIONS))
ifneq (,$(filter parallel=%,$(TMP_BUILD_OPTS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(TMP_BUILD_OPTS)))
	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_MAKE_INVOKE := $(MAKE) $(PARALLEL_MAKEFLAGS)
DEB_MAKE_BUILD_TARGET := sub-src
DEB_MAKE_INSTALL_TARGET := INSTALL_ROOT=$(DEB_DESTDIR) install
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_ALWAYS_EXCLUDE := .git

# Ensure the *.debug files aren't included in any package other than libqt4-maemo5-dbg
DEB_DH_INSTALL_ARGS := --exclude=.debug

DEB_MAKE_CLEAN_TARGET := distclean

# Shlibs of the current upstream version
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

DEB_DH_STRIP_ARGS := --dbg-package=libqt4-maemo5-declarative
DEB_DH_SHLIBDEPS_ARGS_ALL := --exclude=.debug

# Only present in official source package
#DEB_INSTALL_CHANGELOGS_ALL := changes-$(QTVERSION)

common-configure-arch::
	cd src/declarative && /opt/qt4-maemo5/bin/qmake CONFIG+=separate_debug_info CONFIG+=separate_debug_info_nocopy QMAKE_CXXFLAGS+="-g" QMAKE_CFLAGS+="-g"

common-build-arch:: build-qmlviewer

build-qmlviewer:
	/opt/qt4-maemo5/bin/qmake LIBS+=-L../../src/declarative/.obj/ -o tools/qmlviewer/Makefile tools/qmlviewer/qmlviewer.pro
	$(MAKE) -C tools/qmlviewer

common-install-arch:: install-qmlviewer

install-qmlviewer:
	$(MAKE) -C tools/qmlviewer $(DEB_MAKE_INSTALL_TARGET)

## qt4-maemo5-declarative 4.6.0~git20091218-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.0~git20091218-0maemo1) unstable; urgency=low

  * Updated Qt private headers

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 18 Dec 2009 11:29:01 +0200

## qt4-maemo5-declarative 4.6.0~git20100111-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.0~git20100111-0maemo1) unstable; urgency=low

  * Fixed dev package

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 11 Jan 2010 09:29:01 +0200

## qt4-maemo5-declarative 4.6.0~git20100115-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.0~git20100115-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt's 4.6 branch
  
 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 15 Jan 2010 10:29:01 +0200

## qt4-maemo5-declarative 4.6.0~git20100119-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.0~git20100119-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Tur, 19 Jan 2010 09:08:01 +0200

## qt4-maemo5-declarative 4.6.0~git20100119-1maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.0~git20100119-1maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Tur, 19 Jan 2010 10:08:01 +0200

## qt4-maemo5-declarative 4.6.1~git20100122-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.1~git20100122-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 22 Jan 2010 15:29:01 +0200

## qt4-maemo5-declarative 4.6.2~git20100128-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.2~git20100128-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 28 Jan 2010 11:29:01 +0200

## qt4-maemo5-declarative 4.6.2~git20100203-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.2~git20100203-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 03 Feb 2010 14:29:01 +0200

## qt4-maemo5-declarative 4.6.2~git20100208-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.2~git20100208-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 08 Feb 2010 14:29:01 +0200

## qt4-maemo5-declarative 4.6.2~git20100210-0maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.2~git20100210-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 10 Feb 2010 09:29:01 +0200

## qt4-maemo5-declarative 4.6.2~git20100212-3maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.2~git20100212-3maemo1) unstable; urgency=low

  * Major update to latest sources

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 12 Feb 2010 09:29:01 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: libqt4-maemo5-declarative
 Architecture: any
 Section: libs
-Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-maemo5-core (>= ${binary:Version}), libqt4-maemo5-gui (>= ${binary:Version}), libqt4-maemo5-svg (>= ${binary:Version}), libqt4-maemo5-opengl (>= ${binary:Version}), libqt4-maemo5-webkit (>= ${binary:Version}), libqt4-maemo5-script (>= ${binary:Version}), libqt4-maemo5-network (>= ${binary:Version}), libqt4-maemo5-xmlpatterns (>= ${binary:Version}), libqt4-maemo5-dbus (>= ${binary:Version}), libqt4-maemo5-sql (>= ${binary:Version}), libqt4-maemo5-sql-sqlite (>= ${binary:Version}) 
+Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-maemo5-core (>= 4.6.2), libqt4-maemo5-gui (>= 4.6.2), libqt4-maemo5-svg (>= 4.6.2), libqt4-maemo5-opengl (>= 4.6.2), libqt4-maemo5-webkit (>= 4.6.2), libqt4-maemo5-script (>= 4.6.2), libqt4-maemo5-network (>= 4.6.2), libqt4-maemo5-xmlpatterns (>= 4.6.2), libqt4-maemo5-dbus (>= 4.6.2), libqt4-maemo5-sql (>= 4.6.2), libqt4-maemo5-sql-sqlite (>= 4.6.2) 
 Description: Qt 4 declarative module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -40,7 +40,7 @@
 Package: libqt4-maemo5-declarative-dev
 Architecture: any
 Section: libdevel
-Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-maemo5-declarative (= ${binary:Version}), libqt4-maemo5-dev (>= ${binary:Version})
+Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-maemo5-declarative (= ${binary:Version}), libqt4-maemo5-dev (>= 4.6.2)
 Description: Qt 4 Declarative development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt4-maemo5-declarative 4.6.2~git20100212-4maemo1

=== debian/changelog ===
qt4-maemo5-declarative (4.6.2~git20100212-4maemo1) unstable; urgency=low

  * Major update to latest sources

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 12 Feb 2010 09:29:01 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: libqt4-maemo5-declarative
 Architecture: any
 Section: libs
-Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-maemo5-core (>= 4.6.2), libqt4-maemo5-gui (>= 4.6.2), libqt4-maemo5-svg (>= 4.6.2), libqt4-maemo5-opengl (>= 4.6.2), libqt4-maemo5-webkit (>= 4.6.2), libqt4-maemo5-script (>= 4.6.2), libqt4-maemo5-network (>= 4.6.2), libqt4-maemo5-xmlpatterns (>= 4.6.2), libqt4-maemo5-dbus (>= 4.6.2), libqt4-maemo5-sql (>= 4.6.2), libqt4-maemo5-sql-sqlite (>= 4.6.2) 
+Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1), libqt4-maemo5-core (>= 4.6.1), libqt4-maemo5-gui (>= 4.6.1), libqt4-maemo5-svg (>= 4.6.1), libqt4-maemo5-opengl (>= 4.6.1), libqt4-maemo5-webkit (>= 4.6.1), libqt4-maemo5-script (>= 4.6.1), libqt4-maemo5-network (>= 4.6.1), libqt4-maemo5-xmlpatterns (>= 4.6.1), libqt4-maemo5-dbus (>= 4.6.1), libqt4-maemo5-sql (>= 4.6.1), libqt4-maemo5-sql-sqlite (>= 4.6.1) 
 Description: Qt 4 declarative module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -40,7 +40,7 @@
 Package: libqt4-maemo5-declarative-dev
 Architecture: any
 Section: libdevel
-Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-maemo5-declarative (= ${binary:Version}), libqt4-maemo5-dev (>= 4.6.2)
+Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-maemo5-declarative (= ${binary:Version}), libqt4-maemo5-dev (>= 4.6.1)
 Description: Qt 4 Declarative development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
